#include <bits/stdc++.h>
#include "testlib.h"
using namespace std;
const int A=1'000'000'000;
int main(int argc,char* argv[]){
    registerValidation(argc,argv);
    int group = atoi(validator.group().c_str());
    
    int MAX_N = 100'000;
    if (group == 1) {
        MAX_N = 5;
    }
    if (group == 2) {
        MAX_N = 3'000;
    }
    int n=inf.readInt(1,MAX_N,"n");
    inf.readEoln();
    
    int MAX_A = A;
    if (group == 1) {
        MAX_A = 1000;
    }
    vector<int>a=inf.readInts(n,1,MAX_A,"a");
    inf.readEoln();
    
    string s=inf.readString("[a-z]{1,100000}", "s");
    ensure((int) s.size() == n);

    inf.readEof();
}
